Anonymous Login
2018-12-15 13:58 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001637OpenClonkEngine - Controlspublic2016-12-15 16:48
ReporterLuchs 
Assigned ToLuchs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target VersionFixed in Version8.0 
Summary0001637: When ingame, the mouse should be captured
DescriptionMost games capture the mouse while playing, i.e. it is not possible to move the mouse outside the game window. This is not the case in OpenClonk: The mouse can be freely moved outside the game window. This is really annoying, as you often click buttons in other applications while playing. Additionally, the game then loses focus and cannot be controlled anymore.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004817

Maikel (developer)

Good point (target 7.1).

~0004987

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/24ef8b43af34778452998b712c078f418797c3f5

Changeset 24ef8b4 by Lukas Werling <lukas.werling@gmail.com>
Grab the mouse while in-game (0001637)

This only implements this for the SDL port for now.

~0005044

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/3a4e667f4d7bd34af185e7ea6d15641fb81eac7a

Changeset 3a4e667 by Lukas Werling <lukas.werling@gmail.com>
Implement mouse grabbing for GTK on X11 (0001637)

The same thing should somehow also be possible using gdk_device_grab(),
but I couldn't get it to work properly.

~0005529

Luchs (administrator)

I guess this is not an issue on Windows/Mac and it's fixed on Linux, so I'm closing it.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-18 21:53 Luchs New Issue
2016-01-18 22:32 Maikel Note Added: 0004817
2016-01-18 22:32 Maikel Target Version => 7.1 (Bugfix update)
2016-02-12 20:12 occ Note Added: 0004987
2016-03-21 15:34 occ Note Added: 0005044
2016-12-15 16:48 Luchs Assigned To => Luchs
2016-12-15 16:48 Luchs Status new => resolved
2016-12-15 16:48 Luchs Resolution open => fixed
2016-12-15 16:48 Luchs Fixed in Version => 8.0
2016-12-15 16:48 Luchs Note Added: 0005529
+Issue History